"use strict";

this.name    = "AI Selling Advisor"; // Messages displayed when player SELLS cargo.
this.version = "2.12";               // No changes since version 2.2.6.

/* ====================================================================================
			MESSAGE DISPLAYED IF CARGO IS SOLD AT A LOSS
======================================================================================= */

this.$lossMessage = function(cargo)
	{
	this.$message = "What the hell, boss? You’re selling that cargo at below cost price.";
	this.$summary = "Loss!";
	}

/* ====================================================================================
			CONGRATULATIONS DISPLAYED IF CARGO IS SOLD FOR HIGH PRICES
======================================================================================= */

this.$gotHighPrice = function(cargo)
	{
	this.$message = "Good one, boss, you sold that for a nice, high price.";
	this.$summary = "Good one!";
	}

this.$gotAboveGalCopPrice = function(cargo)
	{
	this.$message = "Excellent, you’d never sell for that high price at a GalCop station.";
	this.$summary = "Excellent!";
	}

/* ====================================================================================
			WARNING DISPLAYED IF CARGO IS SOLD FOR LOW PRICE
======================================================================================= */

this.$gotBelowAveragePrice = function(cargo)
	{
	this.$message = "Whoa, boss, you’re selling for a below-average price.";
	this.$summary = "Warning!";
	this.$highlight = cargo;
	}

/* ====================================================================================
			CASES FOR PLAYER SELLING CARGO
======================================================================================= */

this.$reactToPlayerSellingCargo = function(cargo, quantity, price, cost, closedTrade)
	{
	this.$message   = "";
	this.$summary   = "Selling.";
	this.$highlight = "";

	if (price < cost)	
		{
		this.$lossMessage(cargo);
		worldScripts["AI Trading Assistant"].$showMessage(this.$message, this.$summary, this.$highlight);
		return;
		}

	price = price/10;
	switch(cargo)
		{
		case "food":
			if      (price < 5.0) this.$gotBelowAveragePrice(cargo); // Receiving below the average price.
			if      (price > 8.0) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 8.0
			else if (price > 6.5) this.$gotHighPrice(cargo); // Maximum GalCop price: 8.0
			break;

		case "textiles":
			if      (price < 7.2) this.$gotBelowAveragePrice(cargo);
			if      (price > 9.2) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 9.2
			else if (price > 8.2) this.$gotHighPrice(cargo); // Maximum GalCop price: 9.2
			break;

		case "radioactives":
			if      (price < 23.2) this.$gotBelowAveragePrice(cargo);
			if      (price > 28.8) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 28.8
			else if (price > 26.0) this.$gotHighPrice(cargo); // Maximum GalCop price: 28.8
			break;

		case "slaves":
			if      (price < 15.2) this.$gotBelowAveragePrice(cargo);
			if      (price > 28.4) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 28.4
			else if (price > 21.8) this.$gotHighPrice(cargo); // Maximum GalCop price: 28.4
			break;

		case "liquor_wines":
			if      (price < 29.2) this.$gotBelowAveragePrice(cargo);
			if      (price > 39.2) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 39.2
			else if (price > 34.2) this.$gotHighPrice(cargo); // Maximum GalCop price: 39.2
			break;

		case "luxuries":
			if      (price < 90.2)  this.$gotBelowAveragePrice(cargo);
			if      (price > 102.0) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 102.0
			else if (price > 96.1)  this.$gotHighPrice(cargo); // Maximum GalCop price: 102.0
			break;

		case "narcotics":
			if      (price < 51.0)  this.$gotBelowAveragePrice(cargo);
			if      (price > 101.6) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 101.6
			else if (price > 76.3)  this.$gotHighPrice(cargo); // Maximum GalCop price: 101.6
			break;

		case "computers":
			if      (price < 81.8)  this.$gotBelowAveragePrice(cargo);
			if      (price > 102.0) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 102.0
			else if (price > 91.9)  this.$gotHighPrice(cargo); // Maximum GalCop price: 102.0
			break;

		case "machinery":
			if      (price < 56.6) this.$gotBelowAveragePrice(cargo);
			if      (price > 66.4) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 66.4
			else if (price > 61.5) this.$gotHighPrice(cargo); // Maximum GalCop price: 66.4
			break;

		case "alloys":
			if      (price < 38.8) this.$gotBelowAveragePrice(cargo);
			if      (price > 46.4) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 46.4
			else if (price > 42.6) this.$gotHighPrice(cargo); // Maximum GalCop price: 46.4
			break;

		case "firearms":
			if      (price < 69.2) this.$gotBelowAveragePrice(cargo);
			if      (price > 88.8) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 88.8
			else if (price > 79.0) this.$gotHighPrice(cargo); // Maximum GalCop price: 88.8
			break;

		case "furs":
			if      (price < 70.5) this.$gotBelowAveragePrice(cargo);
			if      (price > 95.6) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 95.6
			else if (price > 83.0) this.$gotHighPrice(cargo); // Maximum GalCop price: 95.6
			break;

		case "minerals":
			if      (price < 12.0) this.$gotBelowAveragePrice(cargo);
			if      (price > 14.0) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 14.0
			else if (price > 13.0) this.$gotHighPrice(cargo); // Maximum GalCop price: 14.0
			break;

		case "gold":
			if      (price < 38.8) this.$gotBelowAveragePrice(cargo);
			if      (price > 41.6) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 41.6
			else if (price > 40.2) this.$gotHighPrice(cargo); // Maximum GalCop price: 41.6
			break;

		case "platinum":
			if      (price < 71.8) this.$gotBelowAveragePrice(cargo);
			if      (price > 80.8) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 80.8
			else if (price > 76.3) this.$gotHighPrice(cargo); // Maximum GalCop price: 80.8
			break;

		case "gem_stones":
			if      (price < 19.6) this.$gotBelowAveragePrice(cargo);
			if      (price > 24.0) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 24.0
			else if (price > 21.8) this.$gotHighPrice(cargo); // Maximum GalCop price: 24.0
			break;

		case "alien_items":
			if      (price < 43.6) this.$gotBelowAveragePrice(cargo);
			if      (price > 66.0) this.$gotAboveGalCopPrice(cargo); // Maximum GalCop price: 66.0
			else if (price > 54.8) this.$gotHighPrice(cargo); // Maximum GalCop price: 66.0
			break;
		}
	worldScripts["AI Trading Assistant"].$showMessage(this.$message, this.$summary, this.$highlight);
	}

/* ====================================================================================
			SHOW MESSAGE - THS IS THE FUNCTION OTHER SCRIPTS SHOULD CALL

worldScripts["AI Trading Assistant"].$showMessage(message, summary, highlight);

message   - is the comms message to appear in the lower left of the screen.
summary   - is the one-word message that may appear at the bottom of the costs column
            and be read out by the text-to-speech function.
highlight - is the commodity type to be highlighted by a HUD switch.

======================================================================================= */